> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-backups/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get device backup list POST https://example.itential.io/configuration_manager/backups Content-Type: application/json Fetches backups, requires an options payload. An empty option payload will return the first 25 documents. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-backups ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `options` (object, optional) - `start` (integer, optional) - `limit` (integer, optional) - `regex` (boolean, optional) - `filter` (object, optional) - `name` (string, optional) - `dateRange` (list of any, optional) — An array containing the start and end date. Index 0 = start date, index 1 = end date. - `sort` (object, optional) - `name` (enum, optional) - Allowed values: `-1`, `1` - `date` (enum, optional) - Allowed values: `-1`, `1` ## Response ### 200 List of all backups and the total - `total` (integer, optional) - `list` (list of object, optional) - `id` (string, optional) - `name` (string, optional) - `provider` (string, optional) - `type` (enum, optional) - Allowed values: `native`, `xml`, `json` - `date` (string, optional) - `rawConfig` (string, optional) - `description` (string, optional) - `notes` (string, optional) - `gbac` (object, optional) — Sets of group Ids that are allowd to access this automation. - `write` (list of map from string to any or string, required) — Group ids that have write access to the automation document. - `read` (list of map from string to any or string, required) — Group ids that have read access to the automation document. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "total": 1, "list": [ { "id": "5c35355dbebaa82eaf8113f0", "name": "xr9kv-atl", "provider": "IAG", "type": "native", "date": "2019-04-12T14:42:47.958Z", "rawConfig": "hostname ios0\nno service password-encryption\n...", "description": "Daily backup", "notes": "Backup of device", "gbac": { "write": [ {} ], "read": [ {} ] } } ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/backups" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/backups'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/backups" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/backups") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/configuration_manager/backups") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/configuration_manager/backups', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/backups"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/backups")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```